<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <ProjectType>Local</ProjectType>
    <ProductVersion>8.0.50727</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{7404933D-0000-0000-0000-000000000000}</ProjectGuid>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ApplicationIcon></ApplicationIcon>
    <AssemblyKeyContainerName>
    </AssemblyKeyContainerName>
    <AssemblyName>OpenSim.Framework</AssemblyName>
    <DefaultClientScript>JScript</DefaultClientScript>
    <DefaultHTMLPageLayout>Grid</DefaultHTMLPageLayout>
    <DefaultTargetSchema>IE50</DefaultTargetSchema>
    <DelaySign>false</DelaySign>
    <OutputType>Library</OutputType>
    <AppDesignerFolder></AppDesignerFolder>
    <RootNamespace>OpenSim.Framework</RootNamespace>
    <StartupObject></StartupObject>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <AllowUnsafeBlocks>False</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>False</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE;DEBUG</DefineConstants>
    <DocumentationFile></DocumentationFile>
    <DebugSymbols>True</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <Optimize>False</Optimize>
    <OutputPath>../../bin/</OutputPath>
    <RegisterForComInterop>False</RegisterForComInterop>
    <RemoveIntegerChecks>False</RemoveIntegerChecks>
    <TreatWarningsAsErrors>False</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <NoWarn></NoWarn>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <AllowUnsafeBlocks>False</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>False</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE</DefineConstants>
    <DocumentationFile></DocumentationFile>
    <DebugSymbols>False</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <Optimize>True</Optimize>
    <OutputPath>../../bin/</OutputPath>
    <RegisterForComInterop>False</RegisterForComInterop>
    <RemoveIntegerChecks>False</RemoveIntegerChecks>
    <TreatWarningsAsErrors>False</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <NoWarn></NoWarn>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="log4net.dll" >
      <HintPath>..\..\bin\log4net.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Mono.Addins.dll" >
      <HintPath>..\..\bin\Mono.Addins.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Nini.dll" >
      <HintPath>..\..\bin\Nini.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="OpenMetaverse.dll" >
      <HintPath>..\..\bin\OpenMetaverse.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="OpenMetaverseTypes.dll" >
      <HintPath>..\..\bin\OpenMetaverseTypes.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System" >
      <HintPath>System.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System.Data" >
      <HintPath>System.Data.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System.Xml" >
      <HintPath>System.Xml.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="XMLRPC.dll" >
      <HintPath>..\..\bin\XMLRPC.dll</HintPath>
      <Private>False</Private>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="../Framework/Console/OpenSim.Framework.Console.csproj">
      <Name>OpenSim.Framework.Console</Name>
      <Project>{16759386-0000-0000-0000-000000000000}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
			<Private>False</Private>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="ACL.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AgentCircuitData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AgentCircuitManager.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AgentUpdateArgs.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AssetBase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AssetConfig.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AssetLandmark.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AssetRequest.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AssetRequestToClient.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AssetStorage.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AuthenticateResponse.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AvatarAppearance.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AvatarPickerAvatar.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AvatarPickerReplyAgentDataArgs.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AvatarPickerReplyDataArgs.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AvatarWearable.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AvatarWearingArgs.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="BlockingQueue.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Cache.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ChatTypeEnum.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ChildAgentDataUpdate.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ClientInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ClientManager.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ColliderData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ConfigSettings.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ConfigurationMember.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ConfigurationOption.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Constants.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Culture.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="EstateBan.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="EstateSettings.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="EventData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="FriendListItem.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="FriendRegionInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="GridConfig.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="GridInstantMessage.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="GroupData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IAssetLoader.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IAssetProvider.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IAssetServer.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IClientAPI.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IClientAPI2.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IGenericConfig.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IInventoryData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IPlugin.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IRegionCommsListener.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IRegionLoader.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IScene.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IUserData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="InventoryCollection.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="InventoryConfig.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="InventoryFolderBase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="InventoryItemBase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="JId.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="LandData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="LandStatReportItem.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="LandUpdateArgs.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Location.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Login.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="MapBlockData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="MapItemReplyStruct.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="MessageServerConfig.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="NeighbourInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="NetworkServersInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="OSChatMessage.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="PacketPool.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ParcelMediaCommandEnum.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="PluginLoader.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="PrimitiveBaseShape.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ProxyCodec.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="RegionCommsListener.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="RegionHandshakeArgs.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="RegionInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="RegionInfoForEstateMenuArgs.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="RegionSettings.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="RegionUpData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Remoting.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="RequestAssetArgs.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="SerializableInventory.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="SerializableRegionInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="SimStats.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="SurfaceTouchEventArgs.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="TaskInventoryDictionary.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="TaskInventoryItem.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="TextureRequestArgs.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ThreadTracker.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ThrottleOutPacketType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="UndoStack.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="UpdateShapeArgs.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="UserAgentData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="UserConfig.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="UserProfileData.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Util.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ViewerEffectEventHandlerArg.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="sLLVector3.cs">
      <SubType>Code</SubType>
    </Compile>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSHARP.Targets" />
  <PropertyGroup>
    <PreBuildEvent>
    </PreBuildEvent>
    <PostBuildEvent>
    </PostBuildEvent>
  </PropertyGroup>
</Project>
